#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.1.0
visibility:           public
id:                   http-client-restricted-0.1.0-FhvZm6LXzJkHqJ9a4w6UAP
key:                  http-client-restricted-0.1.0-FhvZm6LXzJkHqJ9a4w6UAP
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  44322f05294e71f05e5cdd84f6432f07
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.2.8/site-local/http-client-restricted-0.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/http-client-restricted-0.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.1.0-FhvZm6LXzJkHqJ9a4w6UAP
depends:
    base-4.16.4.0 crypton-connection-0.3.2-97ngep1zwKyLdFTUPCM6vp
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS
    http-client-0.7.17-2Oi6aYWRkvSIlsipbaKPwU
    http-client-tls-0.3.6.3-JOUTFtJTcAY3U5MOJvGMFy
    network-3.1.4.0-1av7pSyu1s1AG52DPIhcGs
    network-bsd-2.8.1.0-EX3zi0DvFYb6HIrJ1w23Qb
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

